import { Star } from "lucide-react";

interface RatingStarsProps {
	rating: number;
}

const RatingStars = ({ rating }: RatingStarsProps) => {
	const totalStars = 5;
	const fullStars = Math.round(rating); // Round to nearest whole number for filled stars
	const emptyStars = totalStars - fullStars;

	return (
		<div className="flex items-center" aria-label={`Rating: ${rating} out of ${totalStars} stars`}>
			{/* Render filled stars */}
			{[...Array(fullStars)].map((_, i) => (
				<Star key={`full-${i}`} className="h-4 w-4 text-yellow-500 fill-yellow-500" />
			))}
			{/* Render empty stars */}
			{[...Array(emptyStars)].map((_, i) => (
				<Star key={`empty-${i}`} className="h-4 w-4 text-gray-300" /> // Use gray for empty stars
			))}
		</div>
	);
};

export default RatingStars; 